查询亚马逊自发货订单列表
POST
/erp/sc/routing/order/Order/getOrderList支持查询亚马逊FBM(自发货)订单列表,对应系统【销售】>【订单管理】模块数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/order/Order/getOrderList | HTTPS | POST | 1 |
请求参数
sidstring必填order_statusstringpageintegerlengthintegerstart_timestringend_timestring返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
order_numberstring必填statusstring必填order_fromstring必填country_codestring必填purchase_timestring必填payment_timestring必填logistics_type_idstring必填logistics_provider_idstring必填platform_listarray<any>必填logistics_type_namestring必填logistics_provider_namestring必填widinteger必填warehouse_namestring必填customer_commentstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "C8491EBE-E2B0-86A1-9836-5A6CEF0CB1A8",
"response_time": "2021-07-19 10:23:44",
"data": [
{
"order_number": "103318489501696512",
"status": "待发货",
"order_from": "手工订单",
"country_code": "US",
"purchase_time": "2023-05-30 22:57:06",
"logistics_type_id": "3295",
"logistics_provider_id": "83",
"platform_list": [
543535
],
"logistics_type_name": "HH",
"logistics_provider_name": "HH",
"wid": 130,
"warehouse_name": "HH",
"customer_comment": ""
}
],
"total": 38
}